services:
  mkdocs:
    build: .
    #image: squidfunk/mkdocs-material:latest
    volumes:
      - ./mkdocs:/docs
    ports:
      - 80:8000

  vscode:
    image: lscr.io/linuxserver/code-server:latest
    environment:
      - TZ=Europe/Berlin
      - DEFAULT_WORKSPACE=/workspace/mkdocs
    volumes:
      - ./workspace:/config/workspace
      - ./mkdocs:/workspace/mkdocs
    ports:
      - 8443:8443